import type { ExtractPropTypes } from 'vue';
import type CheckableTag from './checkable-tag.vue';
export interface CheckableTagItem {
    label: string;
    value: string;
}
export declare const checkableTagProps: {
    readonly value: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<string[]>, unknown, unknown, () => any[], boolean>;
    readonly options: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<CheckableTagItem[]>, unknown, unknown, () => any[], boolean>;
    readonly fieldNames: import("ll-plus/es/utils").EpPropFinalized<ObjectConstructor, unknown, unknown, () => {
        label: string;
        value: string;
    }, boolean>;
    readonly enableAdd: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly maxChecked: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
    readonly addAutoSelect: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly placeholder: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "请输入", boolean>;
    readonly disabled: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly deleteRule: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "all" | "none" | "exceptFirstN", unknown, "none", boolean>;
    readonly exceptCount: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
    readonly size: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "small" | "large" | "middle", unknown, "small", boolean>;
    readonly addTagText: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "新增", boolean>;
    readonly inputWidth: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 120, boolean>;
    readonly tagMaxWidth: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
    readonly emptyText: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "暂无标签", boolean>;
    readonly tagGap: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 8, boolean>;
    readonly maxAddableTags: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
    readonly disabledAddTag: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly disabledCloseTag: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly selectionMode: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "multiple" | "single", unknown, "multiple", boolean>;
};
export type CheckableTagProps = ExtractPropTypes<typeof checkableTagProps>;
export type CheckableTagInstance = InstanceType<typeof CheckableTag>;
